Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Swipe Purchase with Merchant Descriptors


This use case processes a PIN debit purchase with swiped track data and merchant descriptors.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "ABC1234",    "partner": {      "thirdPartyCertificationNumber": "PTP1234"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "networkRoutingOrder": "GUFV"  },  "paymentInformation": {    "paymentType": {      "name": "CARD",      "subTypeName": "DEBIT"    },    "card": {      "useAs": "",      "sourceAccountType": "UA"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "202.00",      "currency": "USD"    }  },  "merchantInformation": {    "merchantDescriptor": {      "name": "John Smith",      "alternateName": "ABC Limited",      "locality": "Austin",      "country": "United States",      "administrativeArea": "AL"    }  },  "pointOfSaleInformation": {    "entryMode": "swiped",    "terminalCapability": 4,    "trackData": "%B4xxxxxxxxxxx1111^JONES/JONES ^3312101976110000868000000?;4xxxxxxxxxxx1111=33121019761186800000?",    "pinBlockEncodingFormat": 1,    "encryptedPin": "52F20658C04DB351",    "encryptedKeySerialNumber": "FFFF1B1D140000000005"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/6883842752296552503995/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6883842752296552503995"    }  },  "clientReferenceInformation": {    "code": "ABC123"  },  "id": "6883842752296552503995",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "24.00",      "currency": "usd"    }  },  "processingInformation": {    "reconciliationId": "6883842752296552503995"  },  "processorInformation": {    "systemTraceAuditNumber": "109328",    "routing": {      "network": "0000"    },    "approvalCode": "831000",    "retrievalReferenceNumber": "123456109328",    "transactionId": "000000000000000",    "responseCode": "00"  },  "reconciliationId": "6883842752296552503995",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-07-03T11:37:55Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.sourceAccountTypeSet the value to UA.
paymentInformation.card.useAsLeave this field blank.
paymentInformation.paymentType.nameSet the value to CARD.
paymentInformation.paymentType.subTypeNameSet the value to DEBIT.
pointOfSaleInformation.encryptedKeySerialNumber—
pointOfSaleInformation.encryptedPin—
pointOfSaleInformation.entryModeSet the value to swiped.
pointOfSaleInformation.pinBlockEncodingFormatSet the value to 1.
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicatorSet the value to retail.
Optional Fields
FieldDescription
merchantInformation.merchantDescriptor.administrativeArea—
merchantInformation.merchantDescriptor.alternateName—
merchantInformation.merchantDescriptor.country—
merchantInformation.merchantDescriptor.locality—
merchantInformation.merchantDescriptor.name—

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.